How to install Ruby plugins at Dreamhost


#1

I have written a ruby application on my local pc using the DateBocks engine, a ruby plugin.

I’m having a ridiculously difficult time getting this app deployed to Dreamhost. Their support told me that I can’t install plugins because ruby is shared, which I understand.

So I installed my own version of Ruby, and then Gem, and I still cannot install the plugin, getting the error below.

Is it possible to use ruby plugins on dreamhost? Do I need t install it on the server? Why won’t it work if I simply ftp my Ruby app over?

(eval):3:in each': undefined method[]’ for nil:NilClass (NoMethodError)
from (eval):3:in __send__' from (eval):3:ineach’
from /usr/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/commands/plugin.rb:658:in
scrape' from /usr/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/commands/plugin.rb:632:inparse!'
from /usr/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/commands/plugin.rb:631:in
each' from /usr/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/commands/plugin.rb:631:inparse!'
from /usr/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/commands/plugin.rb:447:in
parse!' from /usr/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/commands/plugin.rb:463:inparse!'
from /usr/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/commands/plugin.rb:871
from /home/twdiz9/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
gem_original_require' from /home/twdiz9/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:inrequire’
from /usr/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependencies.rb:147:in
`require’
from script/plugin:3

Brian